<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta
      name="viewport"
      content="maximum-scale=1.0,minimum-scale=1.0,user-scalable=0,width=device-width,initial-scale=1.0"
    />
    <meta
      name="format-detection"
      content="telephone=no,email=no,date=no,address=no"
    />
    <title></title>
    <link rel="stylesheet" type="text/css" href="../../css/api.css" />
    <link rel="stylesheet" type="text/css" href="../../css/style.css" />
    <link rel="stylesheet" href="../../css/aui.css" />
    <link rel="stylesheet" href="../../css/projeck.css" />
    <style>
      body {
        background: #fff;
      }
      .nav_title {
        padding: 0 5px;
        background: #f3f6fa;
      }
      .nav_title li {
        text-align: center;
        font-size: 14px;
        padding: 12px 0;
      }
      .row_content {
        padding: 0 5px;
      }
      .row_content li {
        text-align: center;
        font-size: 13px;
        padding: 12px 0;
        align-items: center;
      }
    </style>
  </head>
  <body>
    <div class="api_layout">
      <div class="row_contents">
        <ul class="row_content" id="row_content"></ul>
      </div>
    </div>
    <div class="noText hide" id="nocode">
      <img src="../../image/noText.png" alt="" />
    </div>
    <script type="text/template" id="templateStatu">
      {{~it:value}}
      <li class="flex-wrap after-border relative">
          <span class="flex-con">{{=value.name}}</span>
          <span class="flex-con">{{=value.depart_name}}</span>
          <span class="flex-con">{{=value.down_time}}</span>
      </li>
      {{~}}
    </script>
    <script src="../../script/api.js"></script>
    <!-- <script src="../../script/fastclick.min.js"></script> -->
    <!-- <script src="../../script/aui-toast.js" charset="utf-8"></script> -->
    <script src="../../script/doT.min.js"></script>
    <script src="../../script/config.js"></script>
    <script>
      var title = '';
      var toast = new auiToast();
      apiready = function () {
        var id = api.pageParam.id;
        monitorStatusFun(id);
      };
      // 全部数据详情
      function monitorStatusFun(id) {
        var data = {
          station_id: id,
        };
        toast.loading({
          title: '加载中',
          duration: 2000,
        });
        $http.fnReuestDataNologing(
          zaoquanUrlRouter.getPersonnalDe,
          '',
          'post',
          data,
          function (ret, err) {
            toast.hide();
            if (ret.data.length == 0) {
              document.getElementById('nocode').style.display = 'block';
              return false;
            } else {
              document.getElementById('nocode').style.display = 'none';
            }
            if (ret && ret.code == 0) {
              if (ret.data.length > 0) {
                $apis.html(row_content, '#templateStatu', ret.data);
              } else {
              }
            } else {
              api.toast({
                msg: '网络请求超时,请稍后重试',
                duration: 2000,
                location: 'bottom',
              });
            }
          }
        );
      }
    </script>
  </body>
</html>
